Delete employee requests

This endpoint allows to delete all requests associated with an employee within a time period not exceeding 31 days.

DELETE /api/v1/businesses/{businessId}/employees/{employeeId}/requests?from={yyyy-MM-dd}&to={yyyy-MM-dd}

If the data included is correct —both the businessId and the employeeId— all requests of that employee within the specified time period in the URL will be deleted.

Considerations

If there are no requests for the employee in the specified range, the request does not delete anything and still returns 200 OK.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

406 Not Acceptable

-

The range between from and to exceeds the 31 days allowed. It is recommended to narrow the queried interval.

What is a request?